Subject: Re: [bug#53827] [PATCH] Add a TLDR entry to the cookbook for building Guix from Git.

From: zimoun <[email-masked]>
Date: Wed, 16 Feb 2022 15:36:04 +0100

Hi,

On Wed, 16 Feb 2022 at 14:39, Ludovic Courtès <[email-masked]> wrote:
>
> Hi,
>
> Pierre-Henry Fröhring <[email-masked]> skribis:
>
> > I try to make Guix our default package manager.  It's really wonderful
> > so far.  To that end, I need TLDRs so that less experienced
> > developpers can get going /fast/.  Deeper understanding will come in
> > time.
> >
> > I also need to convince that Guix is /easy/ to third parties.  I need
> > to /show/ that /installing/, /configuring/ and /using/ Guix is fast
> > and efficient.  I found out that TLDRs are great tools for that.
> >
> > I need to have small TLDRs so that when things go wrong, it's easy to
> > know where and fix either the TLDR or the manual steps. Also,
> > sometimes, things go wrong and are not documented. /E.g./ setting
> > ~LC_ALL=C.UTF-8~ will make Guix complain even after installing ~guix
> > install glibc-utf8-locales~.  I can factor this knowledge inside these
> > TLDR fast.
>
> No argument here, I very much understand why as a user or potential
> contributor one would want to-the-point documentation as a first step.
>
> I also want to be able to understand what I’m doing though—maybe not at
> first, but soon enough.  That’s why I don’t feel comfortable giving a
> raw list of commands without explanations.

For what it is worth, I wrote a version for some users here:

<https://simon.tournier.info/posts/2021-10-12-add-guix-package.html>

The manual is good (even really good!) once I am able to explicitly
formulate what I want.  That's the job of the Cookbook (or any other
materials): fill the gap, IMHO.

Cheers,
simon